Debian Bug report logs - #580763
ITP: focuswriter -- a fullscreen, distraction-free word processor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tang Ke <tangk@lemote.com>

Date: Sat, 8 May 2010 11:33:02 UTC

Owned by: Tang Ke <tangk@lemote.com>

Severity: wishlist

Fixed in version focuswriter/1.3.1-1

Done: bap@debian.org (Barak A. Pearlmutter)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#580763; Package wnpp. (Sat, 08 May 2010 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tang Ke <tangk@lemote.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 08 May 2010 11:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tang Ke <tangk@lemote.com>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: focuswriter -- a fullscreen, distraction-free word processor
Date: Sat, 08 May 2010 19:30:08 +0800
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Tang Ke <tangk@lemote.com>

* Package name: focuswriter
   Version: 1.2.1
   Upstream Authors: Graeme Gott <graeme@gottcode.org>
* URL:http://gottcode.org/focuswriter/
* License: GPL3
   Programming Lang: C++
   Description: a fullscreen, distraction-free word processor	

 This program is designed to immerse you as much as possible in your 
 work. The program autosaves your progress, and reloads the last files 
 you had open to make it easy to jump back in during your next writing 
 session, and has many other features that make it such that only one 
 thing matters: your writing.

-- 
Tang Ke (Application develop of software department)
Tel:0086-512-52308628 Fax:0086-512-52308688
Phone:18962393077
E-mail:tangk@lemote.com  MSN:tangk@lemote.com, mumutouv@gmail.com
Web: http://www.lemote.com <http://www.lemote.com/>
JiangSu ZhongKe Lemote Technology Co.,Ltd
MengLan Industry Park,YuShan,ChangShu City,JiangSu,China

[tangk.vcf (text/x-vcard, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tang Ke <tangk@lemote.com>:
Bug#580763; Package wnpp. (Sun, 14 Nov 2010 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tang Ke <tangk@lemote.com>. (Sun, 14 Nov 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 580763@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Graeme Gott <graeme@gottcode.org>
Cc: 580763@bugs.debian.org
Subject: Debian Package of Focuswriter
Date: Sun, 14 Nov 2010 19:03:33 +0000
Hi, I am sending you this note in your two capacities as both the
upstream author of focuswriter and the Ubuntu maintainer of the
focuswriter package.

I did an update/refresh on your Ubuntu packaging to generate a trial
debian package, whose source I've pushed to
git://github.com/barak/focuswriter.git

Would you object to putting that package into Debian?  Any technical
suggestions?  Since you were packaging it for Ubuntu anyway, and this
would pretty much take care of that, if you would like to
co-maintainer the official Debian package you'd be most welcome.

I'm CCing the Debian ITP for this package,
 http://bugs.debian.org/580763
filed by Tang Ke <tangk@lemote.com>
as I hope he's agreeable to the above, and I'd also welcome his
contributions/co-maintenance.

					--Barak.
--
Barak A. Pearlmutter
 Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
 http://www.bcl.hamilton.ie/~barak/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tang Ke <tangk@lemote.com>:
Bug#580763; Package wnpp. (Mon, 15 Nov 2010 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graeme Gott <graeme@gottcode.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tang Ke <tangk@lemote.com>. (Mon, 15 Nov 2010 15:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 580763@bugs.debian.org (full text, mbox):

From: Graeme Gott <graeme@gottcode.org>
To: barak@cs.nuim.ie
Cc: 580763@bugs.debian.org
Subject: Re: Debian Package of Focuswriter
Date: Mon, 15 Nov 2010 10:45:36 -0500
[Message part 1 (text/plain, inline)]
On Sunday 14 November 2010 2:03:33 pm Barak A. Pearlmutter wrote:
> Hi, I am sending you this note in your two capacities as both the
> upstream author of focuswriter and the Ubuntu maintainer of the
> focuswriter package.
> 
> I did an update/refresh on your Ubuntu packaging to generate a trial
> debian package, whose source I've pushed to
> git://github.com/barak/focuswriter.git
> 
> Would you object to putting that package into Debian?  Any technical
> suggestions?  Since you were packaging it for Ubuntu anyway, and this
> would pretty much take care of that, if you would like to
> co-maintainer the official Debian package you'd be most welcome.
> 
> I'm CCing the Debian ITP for this package,
>  http://bugs.debian.org/580763
> filed by Tang Ke <tangk@lemote.com>
> as I hope he's agreeable to the above, and I'd also welcome his
> contributions/co-maintenance.
> 
> 					--Barak.
> --
> Barak A. Pearlmutter
>  Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
>  http://www.bcl.hamilton.ie/~barak/

Hi,

I'm thrilled that you want to add FocusWriter to Debian, and I'd be more than 
happy to help you maintain the package.

I notice that your fork includes the debian folder directly in the source. 
Would you like me to merge that upstream, or would that make your packaging 
work more difficult?

Cheers,
Graeme Gott
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tang Ke <tangk@lemote.com>:
Bug#580763; Package wnpp. (Mon, 15 Nov 2010 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tang Ke <tangk@lemote.com>. (Mon, 15 Nov 2010 18:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 580763@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Graeme Gott <graeme@gottcode.org>
Cc: 580763@bugs.debian.org
Subject: Re: Debian Package of Focuswriter
Date: Mon, 15 Nov 2010 18:26:52 +0000
The "standard" way for Debian packages maintained in git to handle
things is to have two main branches: "upstream" for the upstream
development, and "main" for the debian stuff.  The diff between the
two branches should, normally, all be in the debian/ subdir.  That's
how I was handling it, especially since your upstream is a git repo on
github anyway.

It is certainly possible for the upstream branch to have a debian/
subdir.  Not clear it's worth the hassle in this case though.  (You'd
certainly be welcome to patch both branches!)

Anyway, unless Tang Ke objects in the next day or two, or you want to
push some patches in, I'll plan to dput the package as it stands...

					--Barak.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tang Ke <tangk@lemote.com>:
Bug#580763; Package wnpp. (Mon, 15 Nov 2010 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tang Ke <tangk@lemote.com>. (Mon, 15 Nov 2010 18:30:05 GMT) Full text and rfc822 format available.

Message #25 received at 580763@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Graeme Gott <graeme@gottcode.org>
Cc: 580763@bugs.debian.org
Subject: Re: Debian Package of Focuswriter
Date: Mon, 15 Nov 2010 18:28:16 +0000
PS > ... more than happy to help you maintain the package.

Great, thanks!
(Can add you as co-maintainer in debian/control file to make that
official.  Or just pull your patches.  Or both.  As you wish.)

					--Barak.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 18 Nov 2010 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to bap@debian.org (Barak A. Pearlmutter):
You have taken responsibility. (Sun, 09 Jan 2011 13:06:09 GMT) Full text and rfc822 format available.

Notification sent to Tang Ke <tangk@lemote.com>:
Bug acknowledged by developer. (Sun, 09 Jan 2011 13:06:09 GMT) Full text and rfc822 format available.

Message #32 received at 580763-close@bugs.debian.org (full text, mbox):

From: bap@debian.org (Barak A. Pearlmutter)
To: 580763-close@bugs.debian.org
Subject: Bug#580763: fixed in focuswriter 1.3.1-1
Date: Sun, 09 Jan 2011 13:02:18 +0000
Source: focuswriter
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
focuswriter, which is due to be installed in the Debian FTP archive:

focuswriter_1.3.1-1.debian.tar.gz
  to main/f/focuswriter/focuswriter_1.3.1-1.debian.tar.gz
focuswriter_1.3.1-1.dsc
  to main/f/focuswriter/focuswriter_1.3.1-1.dsc
focuswriter_1.3.1-1_amd64.deb
  to main/f/focuswriter/focuswriter_1.3.1-1_amd64.deb
focuswriter_1.3.1.orig.tar.gz
  to main/f/focuswriter/focuswriter_1.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580763@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barak A. Pearlmutter <bap@debian.org> (supplier of updated focuswriter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Nov 2010 15:53:39 +0000
Source: focuswriter
Binary: focuswriter
Architecture: source amd64
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Changed-By: Barak A. Pearlmutter <bap@debian.org>
Description: 
 focuswriter - A fullscreen, distraction-free writing program
Closes: 580763
Changes: 
 focuswriter (1.3.1-1) unstable; urgency=low
 .
   * Initial release for Debian, based on Ubuntu packaging (closes: #580763)
   * Packaging updated from Ubuntu debian, thanks to Graeme Gott
Checksums-Sha1: 
 34d2c19cf513a8b397f8900eb243197dcc82593a 1323 focuswriter_1.3.1-1.dsc
 e67ce14f9685338b33c1f6c84d2dd8cdb30dba45 4773674 focuswriter_1.3.1.orig.tar.gz
 71a95daf28d74249b9f3e1f53af0247a4d1cf299 2762747 focuswriter_1.3.1-1.debian.tar.gz
 7088e02fbd72f247e800d4c369743907d787ac73 483326 focuswriter_1.3.1-1_amd64.deb
Checksums-Sha256: 
 0af2fc7d5b4ffdf7cf907731960db929a02a1974c474aac1148de1f3d22314a2 1323 focuswriter_1.3.1-1.dsc
 6369f66f80e4fdc2b86fe083f8a8f9a6cb53a66066f68daed6fc7f68501d16f4 4773674 focuswriter_1.3.1.orig.tar.gz
 f6934d61451f35b622f5fd191077a20368f5549bc21888e2d83562d34fe59a58 2762747 focuswriter_1.3.1-1.debian.tar.gz
 d533854daf72c92f73bd839b8e5c04531684fc60e8fe57a3850974265697f5ab 483326 focuswriter_1.3.1-1_amd64.deb
Files: 
 b0b1324adbb0d9a5ae9a2d5f6ccaeb99 1323 editors optional focuswriter_1.3.1-1.dsc
 d64ea7ab5175ee20d14c92031c3933e5 4773674 editors optional focuswriter_1.3.1.orig.tar.gz
 f4274e605a71d72e90bf8c22f6754cb9 2762747 editors optional focuswriter_1.3.1-1.debian.tar.gz
 2b92d2321a819270f9ce2c72d68a4f05 483326 editors optional focuswriter_1.3.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzlC1QACgkQLz4Gnv7CP7JKZQCeL3pysayEiH860z9AbxH439Uv
Ut4AoICDH01h84hrRSW9joobe8AdJxLp
=4mo1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:19:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:48:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.